This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 515248 - Crash when trying to run a system update
Crash when trying to run a system update
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.3
i686 Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
Red Hat Satellite QA List
:
Depends On: 525577 581655
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-03 10:11 EDT by pfortey
Modified: 2013-03-14 15:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:00:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description pfortey 2009-08-03 10:11:49 EDT
Component: pirut
Summary: TBf9142b5b rhnserver.py:62:__call__:IndexError: list index out of range

Traceback (most recent call last):
  File "/usr/sbin/pup", line 617, in ?
    main()
  File "/usr/sbin/pup", line 609, in main
    pup = PackageUpdater(not options.autoapply, options.config)
  File "/usr/sbin/pup", line 84, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.4/site-packages/pirut/__init__.py", line 137, in __init__
    plugin_types=(yum.plugins.TYPE_CORE,))
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 139, in doConfigSetup
    errorlevel=errorlevel)
  File "/usr/lib/python2.4/site-packages/yum/__init__.py", line 205, in _getConfig
    self.plugins.run('init')
  File "/usr/lib/python2.4/site-packages/yum/plugins.py", line 176, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/rhnplugin.py", line 110, in init_hook
    login_info = up2dateAuth.getLoginInfo()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 217, in getLoginInfo
    login()
  File "/usr/share/rhn/up2date_client/up2dateAuth.py", line 184, in login
    li = server.up2date.login(systemId)
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 62, in __call__
    message = pieces[2].strip(" '")
IndexError: list index out of range

Local variables in innermost frame:
args: ('<?xml version="1.0"?>\n<params>\n<param>\n<value><struct>\n<member>\n<name>username</name>\n<value><string>jp4tey</string></value>\n</member>\n<member>\n<name>operating_system</name>\n<value><string>redhat-release</string></value>\n</member>\n<member>\n<name>description</name>\n<value><string>Initial Registration Parameters:\nOS: redhat-release\nRelease: 5Client\nCPU Arch: i686-redhat-linux</string></value>\n</member>\n<member>\n<name>checksum</name>\n<value><string>c0cb44225dda09a51e4798ea8a8216d9</string></value>\n</member>\n<member>\n<name>profile_name</name>\n<value><string>jp40-rhel5</string></value>\n</member>\n<member>\n<name>system_id</name>\n<value><string>ID-1015151329</string></value>\n</member>\n<member>\n<name>architecture</name>\n<value><string>i686-redhat-linux</string></value>\n</member>\n<member>\n<name>os_release</name>\n<value><string>5Client</string></value>\n</member>\n<member>\n<name>fields</name>\n<value><array><data>\n<value><string>system_id</string></value>\n<value><string>os_release</string></value>\n<value><string>operating_system</string></value>\n<value><string>architecture</string></value>\n<value><string>username</string></value>\n<value><string>type</string></value>\n</data></array></value>\n</member>\n<member>\n<name>type</name>\n<value><string>REAL</string></value>\n</member>\n</struct></value>\n</param>\n</params>\n',)
e: (104, 'Connection reset by peer')
self: <up2date_client.rhnserver._DoCallWrapper object at 0x98f4b4c>
error: 104, 'Connection reset by peer'
pieces: ['104', " 'Connection reset by peer'"]
kwargs: {}
message:
Comment 1 James Antill 2013-03-14 15:00:31 EDT
 This is a problem with the rhnplugin, likely already fixed.

Note You need to log in before you can comment on or make changes to this bug.